<?php if (!defined('EEWEE_TWITTERHOVERCARD_VERSION')) exit('No direct script access allowed'); ?>

<div id="framework_wrap" class="wrap">

	<div id="header">
	    <h1><?php _e('Manual', 'eewee-twitter-hovercard'); ?></h1>
	    <h2><?php _e('Summary', 'eewee-twitter-hovercard'); ?></h2>
	    <div class="version">
	      <?php echo EEWEE_TWITTERHOVERCARD_VERSION; ?>
	    </div>
	</div>
  
  <div id="content_wrap">
  
    <div id="content">
      <div id="options_tabs" class="docs">
      
        <ul class="options_tabs">
          <li><a href="#general1"><?php _e('Settings', 'eewee-twitter-hovercard'); ?></a></li>
          <li><a href="#general2"><?php _e('Samples', 'eewee-twitter-hovercard'); ?></a></li>
        </ul>
        
        <hr />
        
        <section id="general1">
          <h3><?php _e("Settings", "eewee-twitter-hovercard"); ?></h3>
          <p>
            <u><?php _e("Enabled", "eewee-twitter-hovercard"); ?> : </u><br />
            <?php _e("Enables / disables the functionality of the plugin", "eewee-twitter-hovercard"); ?>
          </p>
          <p>
            <u><?php _e("API Key", "eewee-twitter-hovercard"); ?> : </u><br />
            <a href="https://dev.twitter.com/apps/new" target="_blank"><?php _e("Twitter API Key", "eewee-twitter-hovercard"); ?></a>
          </p>
          <p>
            <u><?php _e("Version", "eewee-twitter-hovercard"); ?> : </u><br />
            <?php _e("API Version", "eewee-twitter-hovercard"); ?>
          </p>
          <p>
            <u><?php _e("Expanded", "eewee-twitter-hovercard"); ?> : </u><br />
            <?php _e("By default a Hovercard displays a user's name, Twitter username, and location. When the user clicks the ''more'' button in a Hovercard, it will expand to reveal additional information such as the user's bio and their latest Tweet. To render Hovercards in this expanded state by default, pass an object literal as an argument when calling the hovercards method and set the expanded property to true.", "eewee-twitter-hovercard"); ?>
          </p>
          <p>
            <u><?php _e("Linkify", "eewee-twitter-hovercard"); ?> : </u><br />
            <?php _e("As mentioned above, the hovercards method will implicitly call the linkifyUsers method against the body of the document. If Twitter usernames have already been linkified server-side according to the same pattern used by the linkifyUsers method, then it is possible to prevent the hovercards method from linkifying users by passing an object literal as an argument to when calling hovercards and setting the linkify property to false.", "eewee-twitter-hovercard"); ?>
          </p>
          <p>
            <u><?php _e("Infer", "eewee-twitter-hovercard"); ?> : </u><br />
            <?php _e("Use the infer option to trigger Hovercards on elements whose text contains a Twitter username. When the infer option is used, the hovercards method will not call the linkifyUsers method. This is useful when Twitter usernames have already been linkified by some other means. For example: Follow @biz on Twitter!", "eewee-twitter-hovercard"); ?>
          </p>
        </section><!-- general1 -->  
          
          
        <section id="general2"> 
          <h3>Samples</h3>
          <p>
          	<ul>
				<li><u><?php _e("Expanded", "eewee-twitter-hovercard"); ?>, <?php _e("Linkify", "eewee-twitter-hovercard"); ?>, <?php _e("Infer", "eewee-twitter-hovercard"); ?> <?php _e("checked", "eewee-twitter-hovercard"); ?> :</u></li>
				<li><img src='<?php echo plugins_url(); ?>/eewee-twitter-hovercard/img/manual/screenshot-1.jpg' /></li>
			</ul>
			<ul>
				<li><u><?php _e("Expanded", "eewee-twitter-hovercard"); ?>, <?php _e("Linkify", "eewee-twitter-hovercard"); ?> & <?php _e("Infer", "eewee-twitter-hovercard"); ?> <?php _e("unchecked", "eewee-twitter-hovercard"); ?> :</u></li>
				<li><img src='<?php echo plugins_url(); ?>/eewee-twitter-hovercard/img/manual/screenshot-2.jpg' /></li>
			</ul>
          </p>
        </section><!-- general2 -->

        <br class="clear" />
      </div><!-- options_tabs -->
    </div><!-- content -->
    <!--<div class="info bottom"></div>-->   
  </div><!-- content_wrap -->

</div><!-- framework_wrap -->
<!-- [END] framework_wrap -->